<?php
/**************************************************
  Backup Plugin for Coppermine Photo Gallery
/**********************************************
  based on the XT Dump script with the agreement of the author
  Modified by Frantz for Backup plugin
  2007/01/20
**********************************************/
if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }
if (isset($_POST['LastTable']))
{
        header('Cache-Control: no-cache');
        header('Pragma: no-cache');
}
require('include/init.inc.php');
require('./plugins/backup/include/init.inc.php');
include ('./plugins/backup/include/config.inc.php');
include ('./plugins/backup/include/functions.inc.php');
if (!GALLERY_ADMIN_MODE) {
  cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
}
if($lang_text_dir=='ltr') {
        $align="left";
        $direction="ltr";
}else {
        $align="right";
        $direction="rtl";
}
define('MAX_EXECUTION_TIME', $XTCONFIG['timeout']);

$iStartTime = MicrotimeFloat();


$aPages = array(
'dump' => './plugins/backup/dump_start.php',
'dodump' => './plugins/backup/dump.php',
'restore' => './plugins/backup/restore_start.php',
'dorestore' => './plugins/backup/restore.php',
'delete' => './plugins/backup/delete.php',
'gest' => './plugins/backup/gest.php'
);

include('./plugins/backup/include/header.php');

if (!isset($_REQUEST['act']) || !array_key_exists($_REQUEST['act'], $aPages)) {
        include('./plugins/backup/start.php');
} else {
        include($aPages[$_REQUEST['act']]);
}

include('./plugins/backup/include/footer.php');
?>