﻿<?php
/**************************************************
  Backup Plugin for Coppermine Photo Gallery
/**********************************************
  based on the XT Dump script with the agreement of the author
  Modified by Frantz for Backup plugin
  2007/01/20
**********************************************/
/**********************************************
  French translation by Frantz
**********************************************/

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }

$lang_plugin_backup = array(
  'display_name'    => 'Backup',			// Display Name
  'backup_title'    => 'Sauvegarde de la Base de Donnée',			// Title of the button on the gallery config menu
  'backup_button'   => 'Sauvegarde/Restauration',
  'choice'	    => 'Choisissez ce que vous voulez faire',
  'return'	    => 'Retour au menu de sauvegarde',
  'error'	    => 'ERREUR !',
  'delete'	    => 'Supprimer',
  'plugin_manager' => 'Plugin Manager',
  'backup_plugin' => 'Backup Plugin',
  'LOGON_ACTGEST' => 'Gérer les fichiers de Sauvegarde.',
  'LOGON_ACTRESTORE' => 'Restaurer une Base de Données.',
  'LOGON_ACTSAVE' => 'Sauvegarder la Base de Données.',
  'LOGON_CONNECT' => 'Envoyer',
  'DELETE_FILE_ERROR' => 'Le fichier de Dump n\'a pu être supprimé.',
  'DELETE_FILE_OK' => 'Le fichier de Dump a ete supprimé.',
  'DUMPING_COMPLETE' => 'La sauvegarde est complete',
  'DUMPING_GET_FILE' => 'Vous pouvez récuperer votre fichier de sauvegarde à l\'adresse suivante',
  'DUMPING_SAVING_DATA' => 'Sauvegarde de l\'enregistrement',
  'DUMPING_SAVING_STRUCT' => 'Sauvegarde de la Structure de la Table',
  'DUMPING_SAVING_TABLE' => 'Sauvegarde de la Table',
  'DUMPING_WAIT_RESUME' => 'ATTENTION ! La sauvegarde n\'est pas terminée!',
  'DUMPING_WAIT_RESUME2' => 'Veuillez patienter, la sauvegarde reprendra dans 5 secondes<br />(ou cliquez sur le boutton ci-dessous si votre navigateur ne vous redirige pas automatiquement)',
  'ERROR_CONNEXION_FAILED' => 'La connexion a echoué. Veuillez vérifier vos paramètres de connexion',
  'ERROR_DB_NOT_EXISTS' => 'La base selectionnée n\'existe pas. Veuillez vérifier vos paramètres de connexion',
  'ERROR_INVALID_FILENAME' => 'Fichier de Backup Invalide',
  'ERROR_NO_SAVE_TYPE_SELECTED' => 'Veuillez sélectionner un type de sauvegarde (Structure, Données ou les deux).',
  'ERROR_NO_TABLE_SELECTED' => 'Aucune Table n\'a été sélectionnée. Veuillez au moins en sélectionner une.',
  'ERROR_ZLIB_NOT_AVAILABLE' => 'La fonction Zlib est indisponible sur ce serveur',
  'GEST_CONFIRM_DELETE' => 'Confirmez-vous le souhait de supprimer ce fichier ?',
  'GEST_DUMP' => 'Gestion des Fichiers Dumps',
  'GEST_NO_FILES' => 'Aucun fichier',
  'GO_SCRIPT_INDEX' => 'Retourner à l\'index du script',
  'LOGON_DBBASE' => 'Nom de la Base de Données',
  'LOGON_DBHOST' => 'Adresse du Serveur de la Base de Données',
  'LOGON_DBPASS' => 'Mot de passe de la Base de Données',
  'LOGON_DBUSER' => 'Nom d\'utilisateur de la Base de Données',
  'OPTIONS_LEGEND' => 'Options de Sauvegarde',
  'PLEASE_WAIT' => 'Veuillez patienter',
  'QUERIES_EXECUTED' => 'Requetes executees',
  'RESTORE_ADVERT' => 'Le fichier de restauration n\'a pas ete créer; avec XT-Dump,<br />La barre de progression n\'est donc pas disponible.',
  'RESTORE_BUTTON' => 'Demarrer la Restauration',
  'RESTORE_CHOOSE_DUMP' => 'Sélectionnez le fichier a importer',
  'RESTORE_COMPLETE' => 'La Restauration est complete',
  'RESTORE_WAIT_RESUME' => 'ATTENTION ! La restauration n\'est pas terminée!',
  'RESTORE_WAIT_RESUME2' => 'Veuillez patienter, la restauration reprendra dans 5 secondes<br />(ou cliquez sur le boutton ci-dessous si votre navigateur ne vous redirige pas automatiquement)',
  'RESUME_DUMP' => 'Continuer la Sauvegarde',
  'RESUME_RESTORE' => 'Continuer la Restauration',
  'SELECT_ADD_DROPTABLE' => 'Inclure des énoncés "DROP TABLE"',
  'SELECT_ADD_IFEXISTS' => 'Ajouter "IF NOT EXISTS"',
  'SELECT_DATA' => 'Sauvegarder Donnees',
  'SELECT_FILENAME' => 'Nom du fichier de Sauvegarde (sans l\'extention): ',
  'SELECT_GZIP' => 'Compresser en Gzip',
  'SELECT_MAKE_SELECTION' => 'Veuillez sélectionner les tables à sauvegarder',
  'SELECT_STRUCT' => 'Sauvegarder Structures',
  'SELECT_SUBMIT' => 'Sauvegarder les Tables',
  'SELECT_TABLE_NAME' => 'Cliquez pour sélectionner toutes les tables',
  'TITLE_DATABASE_CONNEXION' => 'Configuration de la connexion a la Base de Données',
  'CHECK_NEW_VERSION' => 'Vérifier nouvelle version',
  'announcement_thread' => 'Backup plugin announcement/support thread',
  'based_on' => 'Based on',
  'coppermine_tables_are_preselected' => 'Coppermine tables are pre-selected',
  'restore_warning' => 'Warning: if you continue, your existing data within your database will be overwritten with the content of the dump file you selected. Don\'t submit this form lightheartedly (only for testing purposes), but only if you really must restore your database!',  
  'error_file_creation' => 'A test file could not be created',
  'error_file_read' => 'The test file could not be read',
  'error_file_delete' => 'The test file could not be deleted',
  'error_file_exists' => 'The test file %s still exists. You can savely delete it using your FTP app',
  'error_writable' => 'The folder %s needs to be writable. There appear to be issues with this. Use your FTP app to make the folder writable. Refer to the permissions section of coppermine\'s docs for details',
);
?>