<?php
/**************************************************
  Backup Plugin for Coppermine Photo Gallery
/**********************************************
  based on the XT Dump script with the agreement of the author
  Modified by Frantz for Backup plugin
  2007/01/20
**********************************************/

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }
if (!GALLERY_ADMIN_MODE) {
  cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
}
echo <<<EOF

<script type="text/javascript">
<!--
        function ConfirmDelete(link)
        {
                if (confirm ("{$lang_plugin_backup['GEST_CONFIRM_DELETE']}"))
                {
                        document.location = link;
                        return true;
                }
                else
                {
                        return false;
                }
        }
-->
</script>
<tr>
<td class="tableh2">{$lang_plugin_backup['GEST_DUMP']}</td></tr>

EOF;

$aDumpFiles = ListFiles('./plugins/backup/dumps/');
$loop_counter = 0;
if (count($aDumpFiles) == 0)
{
        echo '<tr><td class="tableb">';
        echo $lang_plugin_backup['GEST_NO_FILES'];
        echo '</td></tr>';
}
foreach ($aDumpFiles as $sFiles) {
        if ($loop_counter == 0) {
            $row_style_class = 'tableb';
        } else {
            $row_style_class = 'tableb tableb_alternate';
        }
        $loop_counter++;
        if ($loop_counter > 1) {
            $loop_counter = 0;
        }
        if (ereg("^([0-9a-zA-Z_\-\.]+)\.sql(\.gz)?$", $sFiles))
        {
                echo '<tr><td class="'.$row_style_class.'">';
                echo '<a href="index.php?file=backup/download&dfile='.rawurlencode($sFiles).'">'.$sFiles.'</a> ('.FormatSize(filesize('./plugins/backup/dumps/'.$sFiles)).') - <a class="admin_menu" href="#" onclick="javascript:ConfirmDelete(\'index.php?file=backup/backup&act=delete&dfile='.rawurlencode($sFiles).'\');">'.$lang_plugin_backup['delete'].'</a><br />';
                echo '</td></tr>';
        }
}
print <<< EOT
<tr>
  <td class="tablef">
<a href="index.php?file=backup/backup" class="admin_menu">{$lang_plugin_backup['return']}</a>
  </td>
</tr>
EOT;


?>